aboutsummaryrefslogtreecommitdiffstats
path: root/tools/bootconfig
diff options
context:
space:
mode:
authorMasami Hiramatsu <mhiramat@kernel.org>2020-05-09 09:58:25 +0900
committerSteven Rostedt (VMware) <rostedt@goodmis.org>2020-05-19 21:09:23 -0400
commit98d0a685cf8bcde23f4b0d1aa0a348fcef84569b (patch)
tree1b76734452c7c36f814702ddd754fe75a52cf2eb /tools/bootconfig
parentftrace: show debugging information when panic_on_warn set (diff)
downloadlinux-dev-98d0a685cf8bcde23f4b0d1aa0a348fcef84569b.tar.xz
linux-dev-98d0a685cf8bcde23f4b0d1aa0a348fcef84569b.zip
tools/bootconfig: Add a summary of test cases and return error
Add summary lines of test cases and return an error code if any test case fails so that tester don't have to monitor the output. Link: https://lkml.kernel.org/r/158898590533.22749.10269622752797822320.stgit@devnote2 Signed-off-by: Masami Hiramatsu <mhiramat@kernel.org> Signed-off-by: Steven Rostedt (VMware) <rostedt@goodmis.org>
Diffstat (limited to 'tools/bootconfig')
-rwxr-xr-xtools/bootconfig/test-bootconfig.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/tools/bootconfig/test-bootconfig.sh b/tools/bootconfig/test-bootconfig.sh
index 81b350ffd03f..eff16b77d5eb 100755
--- a/tools/bootconfig/test-bootconfig.sh
+++ b/tools/bootconfig/test-bootconfig.sh
@@ -124,9 +124,16 @@ for i in samples/good-* ; do
xpass $BOOTCONF -a $i $INITRD
done
+
+echo
+echo "=== Summary ==="
+echo "# of Passed: $(expr $NO - $NG - 1)"
+echo "# of Failed: $NG"
+
echo
if [ $NG -eq 0 ]; then
echo "All tests passed"
else
echo "$NG tests failed"
+ exit 1
fi